Permalink
Browse files

Include Rake::DSL. Explicitly require rake in specs since kumade auto…

…loads.
  • Loading branch information...
1 parent f41891a commit f1d82edd08bbff414d7ca2e74d1e82d94f3bb6c4 @gabebw gabebw committed Sep 9, 2011
Showing with 4 additions and 2 deletions.
  1. +0 −2 spec/kumade/deployer_spec.rb
  2. +4 −0 spec/spec_helper.rb
@@ -1,7 +1,5 @@
require 'spec_helper'
-include Rake::DSL if defined?(Rake::DSL)
-
describe Kumade::Deployer, "#pre_deploy" do
before { subject.stub(:say) }
View
@@ -3,6 +3,8 @@
require 'kumade'
+require 'rake'
+
module GitRemoteHelpers
def force_add_heroku_remote(remote_name)
remove_remote(remote_name)
@@ -18,6 +20,8 @@ def remove_remote(remote_name)
config.mock_with :rspec
config.color_enabled = true
+ config.include Rake::DSL if defined?(Rake::DSL)
+
config.include GitRemoteHelpers
config.include Aruba::Api

0 comments on commit f1d82ed

Please sign in to comment.